---
title: Update a RUM operation strong link
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM Operations
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update a RUM operation strong link{% #update-a-rum-operation-strong-link %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in Preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                         |
| ----------------- | ---------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id}  |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id} |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/rum/operations/strong_links/{rum_operation_id}/{feature_id} |

### Overview

Update the status of a strong link between a RUM operation and a feature.

### Arguments

#### Path Parameters

| Name                               | Type   | Description                                 |
| ---------------------------------- | ------ | ------------------------------------------- |
| rum_operation_id [*required*] | string | The unique identifier of the RUM operation. |
| feature_id [*required*]       | string | The unique identifier of the feature.       |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                                                                                        |
| ------------ | ---------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]       | object | The data object for updating a RUM operation strong link.                                                                          |
| data         | attributes [*required*] | object | Attributes for updating a RUM operation strong link.                                                                               |
| attributes   | status [*required*]     | enum   | The status of a RUM operation strong link. Can only be set to `CONFIRMED` or `REJECTED`. Allowed enum values: `CONFIRMED,REJECTED` |
| data         | type [*required*]       | enum   | The JSON:API type for RUM operation strong link resources. Allowed enum values: `strong_links`                                     |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "status": "CONFIRMED"
    },
    "type": "strong_links"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The response for a single RUM operation strong link.

| Parent field | Field                          | Type      | Description                                                                                    |
| ------------ | ------------------------------ | --------- | ---------------------------------------------------------------------------------------------- |
|              | data [*required*]         | object    | The data object in a RUM operation strong link response.                                       |
| data         | attributes [*required*]   | object    | Attributes of a RUM operation strong link response.                                            |
| attributes   | created_at                     | date-time | The timestamp when the strong link was created.                                                |
| attributes   | description                    | string    | A description of the strong link.                                                              |
| attributes   | feature_id [*required*]   | string    | The unique identifier of the linked feature.                                                   |
| attributes   | operation_id [*required*] | string    | The unique identifier of the linked RUM operation.                                             |
| attributes   | status [*required*]       | enum      | The status of a RUM operation strong link. Allowed enum values: `DRAFT,CONFIRMED,REJECTED`     |
| attributes   | tags                           | [string]  | A list of tags associated with the strong link.                                                |
| attributes   | updated_at                     | date-time | The timestamp when the strong link was last updated.                                           |
| data         | id [*required*]           | string    | The unique identifier of the strong link, formatted as `<operation_id>:<feature_id>`.          |
| data         | type [*required*]         | enum      | The JSON:API type for RUM operation strong link resources. Allowed enum values: `strong_links` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "created_at": "2019-09-19T10:00:00.000Z",
      "description": "string",
      "feature_id": "feature-123",
      "operation_id": "abc12345-1234-5678-abcd-ef1234567890",
      "status": "CONFIRMED",
      "tags": [],
      "updated_at": "2019-09-19T10:00:00.000Z"
    },
    "id": "abc12345-1234-5678-abcd-ef1234567890:feature-123",
    "type": "strong_links"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export rum_operation_id="CHANGE_ME" export feature_id="CHANGE_ME" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v2/rum/operations/strong_links/${rum_operation_id}/${feature_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "status": "CONFIRMED"
    },
    "type": "strong_links"
  }
}
EOF 
                
##### 

```python
"""
Update a RUM operation strong link returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_operations_api import RUMOperationsApi
from datadog_api_client.v2.model.rum_operation_strong_link_type import RUMOperationStrongLinkType
from datadog_api_client.v2.model.rum_operation_strong_link_update_request import RUMOperationStrongLinkUpdateRequest
from datadog_api_client.v2.model.rum_operation_strong_link_update_request_attributes import (
    RUMOperationStrongLinkUpdateRequestAttributes,
)
from datadog_api_client.v2.model.rum_operation_strong_link_update_request_data import (
    RUMOperationStrongLinkUpdateRequestData,
)
from datadog_api_client.v2.model.rum_operation_strong_link_update_status import RUMOperationStrongLinkUpdateStatus

body = RUMOperationStrongLinkUpdateRequest(
    data=RUMOperationStrongLinkUpdateRequestData(
        attributes=RUMOperationStrongLinkUpdateRequestAttributes(
            status=RUMOperationStrongLinkUpdateStatus.CONFIRMED,
        ),
        type=RUMOperationStrongLinkType.STRONG_LINKS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_rum_operation_strong_link"] = True
with ApiClient(configuration) as api_client:
    api_instance = RUMOperationsApi(api_client)
    response = api_instance.update_rum_operation_strong_link(
        rum_operation_id="rum_operation_id", feature_id="feature_id", body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update a RUM operation strong link returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_rum_operation_strong_link".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RUMOperationsAPI.new

body = DatadogAPIClient::V2::RUMOperationStrongLinkUpdateRequest.new({
  data: DatadogAPIClient::V2::RUMOperationStrongLinkUpdateRequestData.new({
    attributes: DatadogAPIClient::V2::RUMOperationStrongLinkUpdateRequestAttributes.new({
      status: DatadogAPIClient::V2::RUMOperationStrongLinkUpdateStatus::CONFIRMED,
    }),
    type: DatadogAPIClient::V2::RUMOperationStrongLinkType::STRONG_LINKS,
  }),
})
p api_instance.update_rum_operation_strong_link("rum_operation_id", "feature_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update a RUM operation strong link returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.RUMOperationStrongLinkUpdateRequest{
		Data: datadogV2.RUMOperationStrongLinkUpdateRequestData{
			Attributes: datadogV2.RUMOperationStrongLinkUpdateRequestAttributes{
				Status: datadogV2.RUMOPERATIONSTRONGLINKUPDATESTATUS_CONFIRMED,
			},
			Type: datadogV2.RUMOPERATIONSTRONGLINKTYPE_STRONG_LINKS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateRUMOperationStrongLink", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRUMOperationsApi(apiClient)
	resp, r, err := api.UpdateRUMOperationStrongLink(ctx, "rum_operation_id", "feature_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RUMOperationsApi.UpdateRUMOperationStrongLink`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RUMOperationsApi.UpdateRUMOperationStrongLink`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update a RUM operation strong link returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumOperationsApi;
import com.datadog.api.client.v2.model.RUMOperationStrongLinkResponse;
import com.datadog.api.client.v2.model.RUMOperationStrongLinkType;
import com.datadog.api.client.v2.model.RUMOperationStrongLinkUpdateRequest;
import com.datadog.api.client.v2.model.RUMOperationStrongLinkUpdateRequestAttributes;
import com.datadog.api.client.v2.model.RUMOperationStrongLinkUpdateRequestData;
import com.datadog.api.client.v2.model.RUMOperationStrongLinkUpdateStatus;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateRUMOperationStrongLink", true);
    RumOperationsApi apiInstance = new RumOperationsApi(defaultClient);

    RUMOperationStrongLinkUpdateRequest body =
        new RUMOperationStrongLinkUpdateRequest()
            .data(
                new RUMOperationStrongLinkUpdateRequestData()
                    .attributes(
                        new RUMOperationStrongLinkUpdateRequestAttributes()
                            .status(RUMOperationStrongLinkUpdateStatus.CONFIRMED))
                    .type(RUMOperationStrongLinkType.STRONG_LINKS));

    try {
      RUMOperationStrongLinkResponse result =
          apiInstance.updateRUMOperationStrongLink("rum_operation_id", "feature_id", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumOperationsApi#updateRUMOperationStrongLink");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update a RUM operation strong link returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_operations::RUMOperationsAPI;
use datadog_api_client::datadogV2::model::RUMOperationStrongLinkType;
use datadog_api_client::datadogV2::model::RUMOperationStrongLinkUpdateRequest;
use datadog_api_client::datadogV2::model::RUMOperationStrongLinkUpdateRequestAttributes;
use datadog_api_client::datadogV2::model::RUMOperationStrongLinkUpdateRequestData;
use datadog_api_client::datadogV2::model::RUMOperationStrongLinkUpdateStatus;

#[tokio::main]
async fn main() {
    let body =
        RUMOperationStrongLinkUpdateRequest::new(RUMOperationStrongLinkUpdateRequestData::new(
            RUMOperationStrongLinkUpdateRequestAttributes::new(
                RUMOperationStrongLinkUpdateStatus::CONFIRMED,
            ),
            RUMOperationStrongLinkType::STRONG_LINKS,
        ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateRUMOperationStrongLink", true);
    let api = RUMOperationsAPI::with_config(configuration);
    let resp = api
        .update_rum_operation_strong_link(
            "rum_operation_id".to_string(),
            "feature_id".to_string(),
            body,
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update a RUM operation strong link returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateRUMOperationStrongLink"] = true;
const apiInstance = new v2.RUMOperationsApi(configuration);

const params: v2.RUMOperationsApiUpdateRUMOperationStrongLinkRequest = {
  body: {
    data: {
      attributes: {
        status: "CONFIRMED",
      },
      type: "strong_links",
    },
  },
  rumOperationId: "rum_operation_id",
  featureId: "feature_id",
};

apiInstance
  .updateRUMOperationStrongLink(params)
  .then((data: v2.RUMOperationStrongLinkResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
